Subject: bug#3424: align-regexp: Infinite loop with default regexp

From: Teemu Likonen <[email-masked]>
Date: Sat, 30 May 2009 21:46:27 +0300

On 2009-05-30 20:24 (+0200), Lennart Borgman wrote:

> On Sat, May 30, 2009 at 7:37 PM, Teemu Likonen <[email-masked]> wrote:
>>  4. Loop infinitely.
>
> This does not happen for me with the latest pretest Emacs 23. Have you
> tested there?

Ah, true. I use Emacs 22.2 (as packaged by Debian) and only checked that
Emacs 23 uses the same regexp. Hence I assumed that it had the same
problem. Now I tried some quite up-to-date development version of Emacs
23 and it produces

    f o o  b a r

instead. So no infinite looping there. I think the result is not what
user expects, though. I'd still suggest changing the default regexp to
match one or more whitespaces: \s-+